%global pypi_name aioruuvigateway

Name:		python-%{pypi_name}
Summary:	Request data from a Ruuvi Gateway
Version:	0.0.2
Release:	%mkrel 2
License:	MIT
Group:		Development/Python
Source0:	%{pypi_source}
Patch1:		0001-Add-age-information-to-TagData-if-available-4.patch
Patch101:	aioruuvigateway-reqs.patch
BuildRequires:	pyproject-rpm-macros
BuildRequires:	python3-devel
BuildArch:	noarch

%description
An asyncio-native library for requesting data from a Ruuvi Gateway.

%package -n python3-%{pypi_name}
Summary:	Request data from a Ruuvi Gateway

%description -n python3-%{pypi_name}
An asyncio-native library for requesting data from a Ruuvi Gateway.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md


%changelog
* Sun Feb 05 2023 wally <wally> 0.0.2-2.mga9
+ Revision: 1938608
- add patch to add age information to TagData if available

* Sun Feb 05 2023 wally <wally> 0.0.2-1.mga9
+ Revision: 1938603
- imported package python-aioruuvigateway

